OpenCL C++ Bindings: cl::EnqueueArgs Class Reference

OpenCL C++ Bindings

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
cl::EnqueueArgs Class Reference

## Public Member Functions
| EnqueueArgs (NDRange global)
| EnqueueArgs (NDRange global, NDRange local)
| EnqueueArgs (NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (Event e, NDRange global)
| EnqueueArgs (Event e, NDRange global, NDRange local)
| EnqueueArgs (Event e, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (const vector< Event > &events, NDRange global)
| EnqueueArgs (const vector< Event > &events, NDRange global, NDRange local)
| EnqueueArgs (const vector< Event > &events, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, NDRange global)
| EnqueueArgs (CommandQueue &queue, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange global)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange global)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange offset, NDRange global, NDRange local)

## Friends
template<typename... Ts>
class | KernelFunctor

## Detailed Description

Definition at line 10064 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ EnqueueArgs() [1/18]

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | global | ) |
| inline

Definition at line 10077 of file opencl.hpp.

## ◆ EnqueueArgs() [2/18]

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10086 of file opencl.hpp.

## ◆ EnqueueArgs() [3/18]

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10095 of file opencl.hpp.

## ◆ EnqueueArgs() [4/18]

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | global
| ) |  |
| inline

Definition at line 10104 of file opencl.hpp.

## ◆ EnqueueArgs() [5/18]

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10113 of file opencl.hpp.

## ◆ EnqueueArgs() [6/18]

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10122 of file opencl.hpp.

## ◆ EnqueueArgs() [7/18]

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | global
| ) |  |
| inline

Definition at line 10131 of file opencl.hpp.

## ◆ EnqueueArgs() [8/18]

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10141 of file opencl.hpp.

## ◆ EnqueueArgs() [9/18]

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10151 of file opencl.hpp.

## ◆ EnqueueArgs() [10/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | global
| ) |  |
| inline

Definition at line 10161 of file opencl.hpp.

## ◆ EnqueueArgs() [11/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10170 of file opencl.hpp.

## ◆ EnqueueArgs() [12/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10179 of file opencl.hpp.

## ◆ EnqueueArgs() [13/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | global
| ) |  |
| inline

Definition at line 10188 of file opencl.hpp.

## ◆ EnqueueArgs() [14/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10197 of file opencl.hpp.

## ◆ EnqueueArgs() [15/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10206 of file opencl.hpp.

## ◆ EnqueueArgs() [16/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | global
| ) |  |
| inline

Definition at line 10215 of file opencl.hpp.

## ◆ EnqueueArgs() [17/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10225 of file opencl.hpp.

## ◆ EnqueueArgs() [18/18]

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

Definition at line 10235 of file opencl.hpp.

## Friends And Related Symbol Documentation

## ◆ KernelFunctor

template<typename... Ts>

friend class KernelFunctor
| friend

Definition at line 10074 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp